### Method

# CM Account get_3pids_finish

#### Declaration [src]

    gboolean
    cm_account_get_3pids_finish (
      CmAccount* self,
      GPtrArray** emails,
      GPtrArray** phones,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous operation started with `cm_account_get_3pids_async()`.

#### Parameters

`emails`

  Type: An array of `utf8`

  The emails.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`phones`

  Type: An array of `utf8`

  The phone numbers.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`result`

  Type: `GAsyncResult`

  `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful.